#!/bin/nawk -f
#
# Computes the max and min of a data set
#
# example: met_ins_data.awk  field=2 scale=1 alldata
#
BEGIN {
	max = -99.;
	min = 9999.;
	if ( scale == 0) scale = 1;
}
{
	data = $field;
	if ( data <= -2) next;
	if ( data > max ) {
		max = data;
	} 
	if ( data < min ) {
		min = data;
	}
	printf "%s %s\n", $1, data
}
END {
	max = (int ((max + scale) / scale )) * scale;
	min = (int ((min ) / scale )) * scale;
	printf "%04d/%04d\n",min,max > "range";
}
